VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
vmware::vapi::std::errors::Error Class Reference

The `Error` error describes thefields common to all standard errors. More...

Inherited by vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

List of all members.

## Public Member Functions
| Error (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages, vmware.vapi.bindings.IStructure data)
| Creates a new instance of this type using the given arguments.
| Error ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vapi.std.LocalizableMessage > | GetMessages ()
| Stack of one or more localizable messages for human error consumers.
void | SetMessages (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages)
| Stack of one or more localizable messages for human error consumers.
vmware.vapi.bindings.IStructure | GetData ()
| Data to facilitate clients responding to the method reporting a standard error to indicating that it was unable to complete successfully.
void | SetData (vmware.vapi.bindings.IStructure data)
| Data to facilitate clients responding to the method reporting a standard error to indicating that it was unable to complete successfully.
virtual vmware.vapi.bindings.type.StructType | _GetType ()
override vmware.vapi.data.StructValue | _GetDataValue ()
virtual void | _Validate ()
override bool | _HasTypeNameOf< T > ()
override T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
## Properties
override string | Message`[get]`

## Detailed Description

The `Error` error describes thefields common to all standard errors.

This error serves two purposes:

1. It is the error that clients in many programming languages can catch to handle all standard errors. Typically those clients will display one or more of the localizable messages from Error.messages to a human.
2. It is the error that methods can report when they need to report some error, but the error doesn't fit into any other standard error, and in fact the only reasonable way for a client to react to the error is to display the message(s) to a human.

## Constructor & Destructor Documentation

vmware::vapi::std::errors::Error::Error | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages,
|  | vmware.vapi.bindings.IStructure | data
| ) |  | `[inline]`

Creates a new instance of this type using the given arguments.

vmware::vapi::std::errors::Error::Error | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

override T vmware::vapi::std::errors::Error::_ConvertTo< T > | ( |  | ) | `[inline]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

override vmware.vapi.data.StructValue vmware::vapi::std::errors::Error::_GetDataValue | ( |  | ) | `[inline]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

virtual vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::Error::_GetType | ( |  | ) | `[inline, virtual]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

override bool vmware::vapi::std::errors::Error::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

virtual void vmware::vapi::std::errors::Error::_Validate | ( |  | ) | `[inline, virtual]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

override bool vmware::vapi::std::errors::Error::Equals | ( | object | obj | ) | `[inline]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

vmware.vapi.bindings.IStructure vmware::vapi::std::errors::Error::GetData | ( |  | ) | `[inline]`

Data to facilitate clients responding to the method reporting a standard error to indicating that it was unable to complete successfully.

Methods may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the method reporting the error, different methods that report the same error may provide different data in the error. The documentation for each each method will describe what, if any, data it provides for each error it reports. The ArgumentLocations , FileLocations , and TransientIndication classs are intended as possible values for this field. vmware.vapi.std.DynamicID may also be useful as a value for this field (although that is not its primary purpose). Some interfaces may provide their own specific classs for use as the value of this field when reporting errors from their methods.

override int vmware::vapi::std::errors::Error::GetHashCode | ( |  | ) | `[inline]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

global::System.Collections.Generic.List<vmware.vapi.std.LocalizableMessage> vmware::vapi::std::errors::Error::GetMessages | ( |  | ) | `[inline]`

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the method the client invoked. Each subsequent message in the stack describes the "cause" of the prior message.

void vmware::vapi::std::errors::Error::SetData | ( | vmware.vapi.bindings.IStructure | data | ) | `[inline]`

Data to facilitate clients responding to the method reporting a standard error to indicating that it was unable to complete successfully.

Methods may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the method reporting the error, different methods that report the same error may provide different data in the error. The documentation for each each method will describe what, if any, data it provides for each error it reports. The ArgumentLocations , FileLocations , and TransientIndication classs are intended as possible values for this field. vmware.vapi.std.DynamicID may also be useful as a value for this field (although that is not its primary purpose). Some interfaces may provide their own specific classs for use as the value of this field when reporting errors from their methods.

void vmware::vapi::std::errors::Error::SetMessages | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages | ) | `[inline]`

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the method the client invoked. Each subsequent message in the stack describes the "cause" of the prior message.

## Property Documentation

override string vmware::vapi::std::errors::Error::Message`[get]`

Reimplemented in vmware::vapi::std::errors::AlreadyExists, vmware::vapi::std::errors::AlreadyInDesiredState, vmware::vapi::std::errors::Canceled, vmware::vapi::std::errors::ConcurrentChange, vmware::vapi::std::errors::FeatureInUse, vmware::vapi::std::errors::InternalServerError, vmware::vapi::std::errors::InvalidArgument, vmware::vapi::std::errors::InvalidElementConfiguration, vmware::vapi::std::errors::InvalidElementType, vmware::vapi::std::errors::InvalidRequest, vmware::vapi::std::errors::NotAllowedInCurrentState, vmware::vapi::std::errors::NotFound, vmware::vapi::std::errors::OperationNotFound, vmware::vapi::std::errors::ResourceBusy, vmware::vapi::std::errors::ResourceInaccessible, vmware::vapi::std::errors::ResourceInUse, vmware::vapi::std::errors::ServiceUnavailable, vmware::vapi::std::errors::TimedOut, vmware::vapi::std::errors::UnableToAllocateResource, vmware::vapi::std::errors::Unauthenticated, vmware::vapi::std::errors::Unauthorized, vmware::vapi::std::errors::UnexpectedInput, and vmware::vapi::std::errors::Unsupported.

The documentation for this class was generated from the following file:

- Error.cs